# Uses of Class
com.sun.nio.sctp.MessageInfo

Packages that use MessageInfo
Package
Description
com.sun.nio.sctp
A Java API for Stream Control Transport Protocol.

## Uses of MessageInfo in com.sun.nio.sctp

Methods in com.sun.nio.sctp that return MessageInfo
Modifier and Type
Method
Description
`abstract MessageInfo`
MessageInfo.`complete​(boolean complete)`
Sets whether or not the message is complete.
`static MessageInfo`
MessageInfo.`createOutgoing​(Association association, SocketAddress address, int streamNumber)`
Creates a `MessageInfo` instance suitable for use when sending a message to a given association.
`static MessageInfo`
MessageInfo.`createOutgoing​(SocketAddress address, int streamNumber)`
Creates a `MessageInfo` instance suitable for use when sending a message.
`abstract MessageInfo`
MessageInfo.`payloadProtocolID​(int ppid)`
Sets the payload protocol Identifier.
`abstract <T> MessageInfo`
SctpChannel.`receive​(ByteBuffer dst, T attachment, NotificationHandler<T> handler)`
Receives a message into the given buffer and/or handles a notification.
`abstract <T> MessageInfo`
SctpMultiChannel.`receive​(ByteBuffer buffer, T attachment, NotificationHandler<T> handler)`
Receives a message and/or handles a notification via this channel.
`abstract MessageInfo`
MessageInfo.`streamNumber​(int streamNumber)`
Sets the stream number that the message is to be sent on.
`abstract MessageInfo`
MessageInfo.`timeToLive​(long millis)`
Sets the time period that the sending side may expire the message if it has not been sent.
`abstract MessageInfo`
MessageInfo.`unordered​(boolean unordered)`
Sets whether or not the message is unordered.
Methods in com.sun.nio.sctp with parameters of type MessageInfo
Modifier and Type
Method
Description
`abstract int`
SctpChannel.`send​(ByteBuffer src, MessageInfo messageInfo)`
Sends a message via this channel.
`abstract int`
SctpMultiChannel.`send​(ByteBuffer buffer, MessageInfo messageInfo)`
Sends a message via this channel.